Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class LocationMappingVocab

    java.lang.Object
      com.hp.hpl.jena.vocabulary.LocationMappingVocab

    public class LocationMappingVocab

extends java.lang.Object

Vocabulary definitions from Vocabularies/location-mapping-rdfs.n3

Field Summary
`static Property` | `altName`
`static Property` | `altPrefix`
`static Resource` | `LocationMapping`
`static Property` | `mapping`
`static Property` | `name` Range is a STRING, not a URI, to allow for any symbols
`static Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://jena.hpl.hp.com/2004/08/location-mapping#")
`static Property` | `prefix` Range is a STRING, not a URI, to allow for any symbols

Constructor Summary
`LocationMappingVocab()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://jena.hpl.hp.com/2004/08/location-mapping#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabalary as a resource

### name

    public static final Property name

  Range is a STRING, not a URI, to allow for any symbols

### altPrefix

    public static final Property altPrefix

### mapping

    public static final Property mapping

### prefix

    public static final Property prefix

  Range is a STRING, not a URI, to allow for any symbols

### altName

    public static final Property altName

### LocationMapping

    public static final Resource LocationMapping

Constructor Detail

### LocationMappingVocab

    public LocationMappingVocab()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP